package fastly

import (
	"testing"
)

func TestClient_Bigqueries(t *testing.T) {
}

func TestClient_ListBigQueries_validation(t *testing.T) {
	var err error
	_, err = testClient.ListBigQueries(&ListBigQueriesInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.ListBigQueries(&ListBigQueriesInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}
}

func TestClient_CreateBigQuery_validation(t *testing.T) {
	var err error
	_, err = testClient.CreateBigQuery(&CreateBigQueryInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.CreateBigQuery(&CreateBigQueryInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}
}

func TestClient_GetBigQuery_validation(t *testing.T) {
	var err error
	_, err = testClient.GetBigQuery(&GetBigQueryInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.GetBigQuery(&GetBigQueryInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.GetBigQuery(&GetBigQueryInput{
		Service: "foo",
		Version: 1,
		Name:    "",
	})
	if err != ErrMissingName {
		t.Errorf("bad error: %s", err)
	}
}

func TestClient_UpdateBigQuery_validation(t *testing.T) {
	var err error
	_, err = testClient.UpdateBigQuery(&UpdateBigQueryInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.UpdateBigQuery(&UpdateBigQueryInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.UpdateBigQuery(&UpdateBigQueryInput{
		Service: "foo",
		Version: 1,
		Name:    "",
	})
	if err != ErrMissingName {
		t.Errorf("bad error: %s", err)
	}
}

func TestClient_DeleteBigQuery_validation(t *testing.T) {
	var err error
	err = testClient.DeleteBigQuery(&DeleteBigQueryInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	err = testClient.DeleteBigQuery(&DeleteBigQueryInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}

	err = testClient.DeleteBigQuery(&DeleteBigQueryInput{
		Service: "foo",
		Version: 1,
		Name:    "",
	})
	if err != ErrMissingName {
		t.Errorf("bad error: %s", err)
	}
}
