package fastly

import "testing"

func TestClient_CacheSettings(t *testing.T) {
}

func TestClient_ListCacheSettings_validation(t *testing.T) {
	var err error
	_, err = testClient.ListCacheSettings(&ListCacheSettingsInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.ListCacheSettings(&ListCacheSettingsInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}
}

func TestClient_CreateCacheSetting_validation(t *testing.T) {
	var err error
	_, err = testClient.CreateCacheSetting(&CreateCacheSettingInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.CreateCacheSetting(&CreateCacheSettingInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}
}

func TestClient_GetCacheSetting_validation(t *testing.T) {
	var err error
	_, err = testClient.GetCacheSetting(&GetCacheSettingInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.GetCacheSetting(&GetCacheSettingInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.GetCacheSetting(&GetCacheSettingInput{
		Service: "foo",
		Version: 1,
		Name:    "",
	})
	if err != ErrMissingName {
		t.Errorf("bad error: %s", err)
	}
}

func TestClient_UpdateCacheSetting_validation(t *testing.T) {
	var err error
	_, err = testClient.UpdateCacheSetting(&UpdateCacheSettingInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.UpdateCacheSetting(&UpdateCacheSettingInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.UpdateCacheSetting(&UpdateCacheSettingInput{
		Service: "foo",
		Version: 1,
		Name:    "",
	})
	if err != ErrMissingName {
		t.Errorf("bad error: %s", err)
	}
}

func TestClient_DeleteCacheSetting_validation(t *testing.T) {
	var err error
	err = testClient.DeleteCacheSetting(&DeleteCacheSettingInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	err = testClient.DeleteCacheSetting(&DeleteCacheSettingInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}

	err = testClient.DeleteCacheSetting(&DeleteCacheSettingInput{
		Service: "foo",
		Version: 1,
		Name:    "",
	})
	if err != ErrMissingName {
		t.Errorf("bad error: %s", err)
	}
}
