package fastly

import "testing"

func TestClient_ResponseObjects(t *testing.T) {
}

func TestClient_ListResponseObjects_validation(t *testing.T) {
	var err error
	_, err = testClient.ListResponseObjects(&ListResponseObjectsInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.ListResponseObjects(&ListResponseObjectsInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}
}

func TestClient_CreateResponseObject_validation(t *testing.T) {
	var err error
	_, err = testClient.CreateResponseObject(&CreateResponseObjectInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.CreateResponseObject(&CreateResponseObjectInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}
}

func TestClient_GetResponseObject_validation(t *testing.T) {
	var err error
	_, err = testClient.GetResponseObject(&GetResponseObjectInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.GetResponseObject(&GetResponseObjectInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.GetResponseObject(&GetResponseObjectInput{
		Service: "foo",
		Version: 1,
		Name:    "",
	})
	if err != ErrMissingName {
		t.Errorf("bad error: %s", err)
	}
}

func TestClient_UpdateResponseObject_validation(t *testing.T) {
	var err error
	_, err = testClient.UpdateResponseObject(&UpdateResponseObjectInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.UpdateResponseObject(&UpdateResponseObjectInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}

	_, err = testClient.UpdateResponseObject(&UpdateResponseObjectInput{
		Service: "foo",
		Version: 1,
		Name:    "",
	})
	if err != ErrMissingName {
		t.Errorf("bad error: %s", err)
	}
}

func TestClient_DeleteResponseObject_validation(t *testing.T) {
	var err error
	err = testClient.DeleteResponseObject(&DeleteResponseObjectInput{
		Service: "",
	})
	if err != ErrMissingService {
		t.Errorf("bad error: %s", err)
	}

	err = testClient.DeleteResponseObject(&DeleteResponseObjectInput{
		Service: "foo",
		Version: 0,
	})
	if err != ErrMissingVersion {
		t.Errorf("bad error: %s", err)
	}

	err = testClient.DeleteResponseObject(&DeleteResponseObjectInput{
		Service: "foo",
		Version: 1,
		Name:    "",
	})
	if err != ErrMissingName {
		t.Errorf("bad error: %s", err)
	}
}
